Bug 1267173 - [QE](6.4.z) Test Intermittent failures in PooledEJBLifecycleTestCase
[QE](6.4.z) Test Intermittent failures in PooledEJBLifecycleTestCase
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity low
: CR1
: EAP 6.4.6
Assigned To: baranowb
Petr Kremensky
:
Depends On:
Blocks: 1235746
  Show dependency treegraph
 
Reported: 2015-09-29 04:45 EDT by Petr Kremensky
Modified: 2017-01-17 06:44 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:44:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs and surefire report (21.94 KB, application/zip)
2015-09-29 04:45 EDT, Petr Kremensky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2071 Minor Closed Intermittent failures in PooledEJBLifecycleTestCase 2016-03-04 05:14 EST

  None (edit)
Description Petr Kremensky 2015-09-29 04:45:52 EDT
Created attachment 1078233 [details]
logs and surefire report

Description of problem:
org.jboss.as.test.integration.ejb.pool.lifecycle.PooledEJBLifecycleTestCase.testMDB fails intermittently with 

Version-Release number of selected component (if applicable):
Error Message
Did not receive a reply on the reply queue. Perhaps the original (request) message didn't make it to the MDB?

Stacktrace
java.lang.AssertionError: Did not receive a reply on the reply queue. Perhaps the original (request) message didn't make it to the MDB?
	at org.junit.Assert.fail(Assert.java:88)
	at org.junit.Assert.assertTrue(Assert.java:41)
	at org.junit.Assert.assertNotNull(Assert.java:621)
	at org.jboss.as.test.integration.ejb.pool.lifecycle.PooledEJBLifecycleTestCase.triggerRequestResponseCycleOnQueue(PooledEJBLifecycleTestCase.java:246)
	at org.jboss.as.test.integration.ejb.pool.lifecycle.PooledEJBLifecycleTestCase.testMDB(PooledEJBLifecycleTestCase.java:167)

Additional info:
The failure is fairly rare, not an regression against older releases
https://url.corp.redhat.com/8a065d5
Comment 4 JBoss JIRA Server 2015-12-21 07:52:02 EST
Bartosz Baranowski <bbaranow@redhat.com> updated the status of jira JBEAP-2071 to Closed
Comment 5 Peter Mackay 2016-01-20 18:26:34 EST
Verified with EAP 6.4.6.CP.CR2
Comment 7 Petr Penicka 2017-01-17 06:44:17 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.